Skip to main content

Creating new transaction

POST 

/payment/:shopId

You can put information about landing page for exist transaction.

Generate digital signature using:

SHA1(title + amount.value + amount.currencyCode + returnUrl + description + negativeReturnUrl + additionalData + paymentChannel + languageCode + referer + personalData.firstName + personalData.surname + personalData.email + personalData.country + personalData.city + personalData.postcode + personalData.street + personalData.house + personalData.flat + personalData.ip + optionsKeyValueList + secretKey)

optionsKeyValueList is combination of key and value pair

optionsKeyValueList = key1 + value1 + ... + keyN + valueN

Request​

Responses​

OK